#!/bin/bash

[[ -z ${INTERFACE} ]] && INTERFACE=nordlynx

sed -i 's@nordlynx@'"${INTERFACE}"'@g' /etc/danted.conf

service danted restart

while [ 1 ]
do
  ifconfig ${INTERFACE}
  res=$?
  if [ $res -eq 1 ]
  then
    sleep 5
    exit 0
  fi
  sleep 10
done
